wordpress添加插件选项:您没有足够的权限访问该页面。


在wordpress后台添加插件选项时报出这个错误:您没有足够的权限访问该页面。
下面两种情况都会报错:

<pre class="lang:php decode:true ">add_options_page( 'xxx常规设置', 'xxx', 'manage_options', 'tbk-common', 'tbk_common' );</pre>
<pre class="lang:php decode:true ">add_options_page( 'xxx常规设置', 'xxx', 'manage_options', 'tbk_common', 'tbk_common' );</pre>

改成下面的样子就不会出错了。

add_options_page( 'xxx常规设置', 'xxx', 'manage_options', 'tbk_common_op', 'tbk_common' );

看来最后那两个参数的命名规则与变量的规则要一致而且两者不能相同。

普人特福的博客cnzz&51la for wordpress,cnzz for wordpress,51la for wordpress